#include "scene.h"

#include "V3.h"
#include "M33.h"
#include "ppc.h"

Scene *scene;

using namespace std;

#include <iostream>
#include <fstream>

Scene::Scene() {


	gui = new GUI();
	gui->show();

	int u0 = 16;
	int v0 = 40;
	int h = 400;
	int w = 600;
	fb = new FrameBuffer(u0, v0, w, h);
	fb->position(u0, v0);
	fb->label("Framebuffer");
	fb->show();
	fb->SetBGR(0xFF0000FF);
	fb->redraw();
	gui->uiw->position(u0, v0 + fb->h + v0);
}


void Scene::DBG() {

	float hfov = 55.0f;
	PPC ppc(hfov, fb->w, fb->h);
	V3 P(0.0f, 0.0f, -10.0f);
	V3 pP;
	int pRes = ppc.Project(P, pP);
	cerr << pP[0] << " " << pP[1] << endl;
	fb->SetBGR(0xFFFFFFFF);
	fb->Draw2DPoint(pP[0], pP[1], 7, 0xFF000000);
	fb->redraw();
	return;

	V3 v1(1.0f, 1.0f, 1.0f);
	V3 v2(2.0f, 10.0f, 11.0f);
	V3 v12 = v1 + v2;
	cerr << v12[0] << endl;
	return;

	fb->SetAsChecker(0xFF000000, 0xFFFFFFFF, 40);
	fb->redraw();
	cerr << "INFO: pressed DBG" << endl;
}

void Scene::NewButton() {
	cerr << "INFO: pressed New button on GUI" << endl;
}


